Summary: Tools for reading Macintosh HFS+ volumes
Name: hfsplusutils
Version: 1.0.4
Release: %mkrel 19

License: GPLv2+
Group: File tools
URL: ftp://ftp.penguinppc.org/users/hasi/hfsplus_1.0.4.src.tar.bz2
Source0: ftp://ftp.penguinppc.org/users/hasi/hfsplus_%{version}.src.tar.bz2
Patch0: hfsplusutils-1.0.4-nullisnotachar.patch
Patch1: hfsplusutils-1.0.4-errno.patch
Patch2: hfsplusutils-1.0.4-includes.patch
Patch3: hfsplusutils-1.0.4-gcc4.patch
Patch4: hfsplusutils-1.0.4-memset.patch
Patch5: hfsplus-1.0.4-automake-1.13.patch
Patch6: hfsplus-1.0.4-duplicatedefs.patch
Patch7: 0001-libhfs-fix-implicit-declaration.patch
%description
This package is a set of tools that allow access to HFS+ formatted
volumes. HFS+ is a modernized version of Apple Computers HFS
Filesystem.

%prep
%setup -q -n hfsplus-1.0.4

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1 -b .automake-1_13
%patch -P 6 -p1 -b .duplicatedefs
%patch -P 7 -p1

sed -i -e 's/^CFLAGS\s/AM_CFLAGS /' {libhfsp/src,src}/Makefile.am

%build
# generate build scripts with our autotools
autoreconf -fi
# added -Wno-incompatible-pointer-types it is required to allow the package to build.
%configure --disable-shared --disable-dependency-tracking CFLAGS="${RPM_OPT_FLAGS} -fcommon -Wno-incompatible-pointer-types"
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT SUBDIRS=src install
ln -sf hpfsck $RPM_BUILD_ROOT/%{_bindir}/fsck.hfsplus
# Remove zero-length doc file
rm -f mail/extents.diff
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
gzip -c < doc/man/hfsp.man > $RPM_BUILD_ROOT/%{_mandir}/man1/hfsp.1.gz
for a in hpcd hpcopy hpfsck hpls hpmkdir hpmount hppwd hprm hpumount fsck.hfsplus ; do
	ln -sf hfsp.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/$a.1.gz
done
%files
%{_bindir}/hpcd
%{_bindir}/hpcopy
%{_bindir}/hpfsck
%{_bindir}/fsck.hfsplus
%{_bindir}/hpls
%{_bindir}/hpmkdir
%{_bindir}/hpmount
%{_bindir}/hppwd
%{_bindir}/hprm
%{_bindir}/hpumount
%{_mandir}/man1/*
%doc doc/*.html
%doc mail
%doc AUTHORS NEWS README



%changelog
* Sat Sep 14 2024 papoteur <papoteur> 1.0.4-19.mga10
+ Revision: 2095950
- restore the build for GCC 14
- patch for declarations
- flag for incompatible pointer types

* Tue Mar 15 2022 umeabot <umeabot> 1.0.4-19.mga9
+ Revision: 1792815
- Mageia 9 Mass Rebuild

* Thu May 14 2020 tv <tv> 1.0.4-18.mga8
+ Revision: 1583672
- Fix build with gcc 10

* Thu Feb 13 2020 umeabot <umeabot> 1.0.4-17.mga8
+ Revision: 1513491
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-16.mga7
+ Revision: 1298190
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 1.0.4-15.mga6
+ Revision: 954318
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 1.0.4-14.mga6
+ Revision: 871372
- patch6: remove duplicate (inline) function definitions to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-13.mga5
+ Revision: 744851
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 tmb <tmb> 1.0.4-12.mga5
+ Revision: 697469
- rebuild for broken rpms

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-11.mga5
+ Revision: 680121
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-10.mga4
+ Revision: 505486
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-9.mga3
+ Revision: 353184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.0.4-8.mga3
+ Revision: 338856
- patch5: fix build with automake 1.13

* Sat Apr 30 2011 misc <misc> 1.0.4-7.mga1
+ Revision: 93875
- fix Release so we can upgrade from 2010.2

* Mon Mar 21 2011 saispo <saispo> 1.0.4-1.mga1
+ Revision: 75174
- imported package hfsplusutils

